<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>JS Task</title>
  </head>
  <body>
    <h1>Akshat Mehta</h1>
    <script>


function swap(res){
    res = res.split("")
    for(i=0;i<res.length;i++){
        if(/[0-9]/.test(res[i])){
            if(isNaN(res[i+1]))
            for(j=i+2;j<res.length;j++){
                if(/[0-9]/.test(res[j])){
                    temp=res[i];
                    res[i]=res[j];
                    res[j]=temp;
                }
            }
        }
    }
  
    res = res.join("")
    return res
}
      
      const swapCase = (str) => {
      let res = [...str]
    .map(c => (c === c.toLowerCase() ? c.toUpperCase() : c.toLowerCase()))
    
    // console.log(res)
    res=res.join("")
    // console.log(res)
    res=res.split(" ")
    // console.log(res)
    
    res = res.map((word) => swap(word))
    res= res.join(" ")
    return res;
      }


      console.log(swapCase("Ak3shat5- Meht6a4 2345678"));


    </script>
  </body>
</html>
